package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 审查细则
 */
@ApiModel
@TableName(value ="t_review_details")
@Data
public class ReviewDetails {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 文本内容
     */
    @ApiModelProperty("文本内容")
    private String text;

    /**
     * 审查要点id
     */
    @ApiModelProperty("审查要点id")
    private Long reviewKeypointId;

    /**
     * 审核场景列表
     */
    @ApiModelProperty("审核场景列表")
    @TableField(exist = false)
    private List<ReviewScene> reviewSceneList;

    /**
     * 该明细的审查结果
     */
    @ApiModelProperty("该明细的审查结果")
    @TableField(exist = false)
    private ReviewDetailsResult result;

}
