package com.ruoyi.mapper;

import java.util.List;
import com.ruoyi.domain.AutomobileEnterprise;

/**
 * 车企信息Mapper接口
 *
 * @author gxk
 * @date 2024-01-05
 */
public interface AutomobileEnterpriseMapper
{
    /**
     * 查询车企信息
     *
     * @param id 车企信息主键
     * @return 车企信息
     */
    public AutomobileEnterprise selectAutomobileEnterpriseById(Long id);

    /**
     * 查询车企信息列表
     *
     * @param automobileEnterprise 车企信息
     * @return 车企信息集合
     */
    public List<AutomobileEnterprise> selectAutomobileEnterpriseList(AutomobileEnterprise automobileEnterprise);

    /**
     * 新增车企信息
     *
     * @param automobileEnterprise 车企信息
     * @return 结果
     */
    public int insertAutomobileEnterprise(AutomobileEnterprise automobileEnterprise);

    /**
     * 修改车企信息
     *
     * @param automobileEnterprise 车企信息
     * @return 结果
     */
    public int updateAutomobileEnterprise(AutomobileEnterprise automobileEnterprise);

    /**
     * 删除车企信息
     *
     * @param id 车企信息主键
     * @return 结果
     */
    public int deleteAutomobileEnterpriseById(Long id);

    /**
     * 批量删除车企信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAutomobileEnterpriseByIds(Long[] ids);
}
