package com.ruoyi.service;

import java.util.List;
import com.ruoyi.domain.AutomobileEnterprise;
import org.apache.ibatis.annotations.Mapper;

/**
 * 车企信息Service接口
 *
 * @author gxk
 * @date 2024-01-05
 */
@Mapper
public interface IAutomobileEnterpriseService
{
    /**
     * 查询车企信息
     *
     * @param id 车企信息主键
     * @return 车企信息
     */
    public AutomobileEnterprise selectAutomobileEnterpriseById(Long id);

    /**
     * 查询车企信息列表
     *
     * @param automobileEnterprise 车企信息
     * @return 车企信息集合
     */
    public List<AutomobileEnterprise> selectAutomobileEnterpriseList(AutomobileEnterprise automobileEnterprise);

    /**
     * 新增车企信息
     *
     * @param automobileEnterprise 车企信息
     * @return 结果
     */
    public int insertAutomobileEnterprise(AutomobileEnterprise automobileEnterprise);

    /**
     * 修改车企信息
     *
     * @param automobileEnterprise 车企信息
     * @return 结果
     */
    public int updateAutomobileEnterprise(AutomobileEnterprise automobileEnterprise);

    /**
     * 批量删除车企信息
     *
     * @param ids 需要删除的车企信息主键集合
     * @return 结果
     */
    public int deleteAutomobileEnterpriseByIds(Long[] ids);

    /**
     * 删除车企信息信息
     *
     * @param id 车企信息主键
     * @return 结果
     */
    public int deleteAutomobileEnterpriseById(Long id);
}
