package com.ruoyi.web;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.service.SystemReviewTaskService;
import com.ruoyi.web.request.SystemReviewTaskCreateRequest;
import com.ruoyi.web.request.SystemReviewTaskStartRequest;
import com.ruoyi.web.request.SystemReviewTaskViewRequest;
import com.ruoyi.web.response.SystemReviewTaskViewResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@Api("体系审查任务")
@RestController
@RequestMapping("/system/review/task")
public class SystemReviewTaskController extends BaseController {

    @Autowired
    private SystemReviewTaskService systemReviewTaskService;

    @ApiOperation("创建体系审查任务")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @Log(title = "体系审查任务", businessType = BusinessType.INSERT)
    @RequestMapping(method = RequestMethod.POST, value = "/create")
    public R<String> create(@Validated @RequestBody SystemReviewTaskCreateRequest request) {
        systemReviewTaskService.createTaskTest(request);
        return R.ok();
    }

    @ApiOperation("查看体系审查任务详情")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @RequestMapping(method = RequestMethod.POST, value = "/view")
    public R<SystemReviewTaskViewResponse> view(@Validated @RequestBody SystemReviewTaskViewRequest request) {
        SystemReviewTaskViewResponse systemReviewTaskViewResponse = systemReviewTaskService.view(request.getTaskId());
        return R.ok(systemReviewTaskViewResponse);
    }

    @ApiOperation("启动体系审查任务")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @RequestMapping(method = RequestMethod.POST, value = "/start")
    public R<String> start(@Validated @RequestBody SystemReviewTaskStartRequest request) {
        systemReviewTaskService.start(request);
        return R.ok();
    }
}
